diff a/src/hotspot/share/gc/shared/gcName.hpp b/src/hotspot/share/gc/shared/gcName.hpp
--- a/src/hotspot/share/gc/shared/gcName.hpp
+++ b/src/hotspot/share/gc/shared/gcName.hpp
@@ -37,10 +37,12 @@
   G1Full,
   ZMinor,
   ZMajor,
   Z, // Support for the legacy, single-gen mode
   Shenandoah,
+  ShenandoahYoung,
+  ShenandoahOld,
   NA,
   GCNameEndSentinel
 };
 
 class GCNameHelper {
@@ -56,10 +58,12 @@
       case G1Full: return "G1Full";
       case ZMinor: return "ZGC Minor";
       case ZMajor: return "ZGC Major";
       case Z: return "Z";
       case Shenandoah: return "Shenandoah";
+      case ShenandoahYoung: return "Shenandoah Young";
+      case ShenandoahOld: return "Shenandoah Old";
       case NA: return "N/A";
       default: ShouldNotReachHere(); return nullptr;
     }
   }
 };
